* {
  box-sizing: border-box;
}

.shrines div {
  width: 30%;
  margin: 5px;
  position: relative;
}

.shrines div img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.5s ease;
}

.shrines div:hover img {
  transform: scale(1.35) rotate(10deg);
}

.shrines div span {
  position: absolute;
  bottom: 15px;
  left: 0;
  width: 100%;
  box-sizing: border-box;
  background: white;
  color: black;
  text-align: center;
  padding: 5px 10px;
  font-size: 20px;
  opacity: 0;
  transform: translateY(100px);
  transition: transform 0.4s ease, opacity 0.5s ease;
}

.shrines div:hover span {
  opacity: 1;
  transform: none;
}

.shrines {
  display: flex;
  flex-wrap: wrap;
}